WHMCS v. 5+6 cPanel server module updated 2018 (for WHM 74)

WHMCS v. 5+6 cPanel server module updated 2018 (for WHM 74)

UNREAD_POSTod wdc » pát 24. srp 2018 10:10:09

If You are running WHMCS v. 5 or v.6 and using cPanel server module (for creating cPanel hosting accounts), then in August cPanel removed XML API from stable WHM branch (WHM v. 74) which means cPanel module stopped working reporting errors:

An unknown error occurred

Module log shows:

<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="google" content="notranslate" />
<meta name="apple-itunes-app" content="app-id=1188352635" />
...

to fix it for for WHMCS 5 and 6 and allow cpanel accounts creation/suspension/termination, try to backup /modules/servers/cpanel/cpanel.php and instead add cpanel.php from attached .zip archive, it should work.

cpanel-whmcs-module-2018-new-json-api-whmv74-for-whmcs5and6.zip


last update. 30.11.2018 (password change functionality update)
Nemáte oprávnění prohlížet přiložené soubory.
Naposledy upravil wdc dne pát 30. lis 2018 19:51:10, celkově upraveno 2
Důvod: patch to update/fix password change function
Uživatelský avatar
wdc
 
Příspěvky: 46
Registrován: sob 01. zář 2007 8:51:02

Odkaz ke stažení nefunguje? Klikni

Zpět na Software -Ostatní

Kdo je online

Uživatelé procházející toto fórum: Žádní registrovaní uživatelé a 0 návštevníků

cron